# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kevlar/version'

Gem::Specification.new do |spec|
  spec.name          = 'kevlar'
  spec.version       = Kevlar::VERSION
  spec.authors       = ['Matías Gagliano']
  spec.email         = ['matias.gagliano@gmail.com']
  spec.homepage      = 'https://github.com/matiasgagliano/kevlar'
  spec.license       = 'MIT'
  spec.summary       = 'Really thin and flexible authentication for Rails based on Warden.'
  spec.description   = 'Bare essentials to quickly implement a custom authentication system on Rails using Warden.'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  # Runtime
  spec.add_runtime_dependency 'warden'

  # Development
  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
end
